<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Filters</title>
</head>
<body>

<main>
    <h3>Filter</h3>
    <input type="range" min="0" max="100" v-model="score">
    <input type="search" v-model="search" placeholder="Search task">
    <hr>
    <h4>List task</h4>

    <ul>
        <li v-for="task in searchTask">{{ task.name | reverseTitle }}</li>
    </ul>

</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>

    Vue.filter('reverseTitle', (title) => title.split('').reverse().join(''));

    new Vue({
        el: 'main',
        data: {
            score: 10,
            search: '',
            listTask: [
                {name: "Terminar curso de Vue", priority: "Half", score: 10},
                {name: "Visitar mis padres", priority: "High", score: 4},
                {name: "Terminar el año bien", priority: "Low", score: 40},
            ]
        },
        computed: {
            bestTask() {
                return this.listTask.filter((task) => task.score >= this.score)
            },
            searchTask() {
                return this.listTask.filter((task) => task.name.includes(this.search))
            }
        }
    })
</script>

</body>
</html>